Skip to main content
GET
/
schedule-management
/
v1
/
mabis
/
clearing-periods
/
{uid}
/
objections
List Objections
curl --request GET \
  --url https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/objections \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/objections"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/objections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "clearing_period_uid": "<string>",
    "created_ts": "<string>",
    "disputed_values": {},
    "last_modified_ts": "<string>",
    "objection_type": "<string>",
    "status": "<string>",
    "uid": "<string>",
    "reason": "<string>",
    "resolved_ts": "<string>",
    "submitted_ts": "<string>",
    "tso_response": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

uid
string<uuid>
required

Clearing period unique identifier.

Query Parameters

status
string | null

Filter by objection status: draft, submitted, accepted, rejected, or withdrawn.

Response

Successful Response

clearing_period_uid
string
required

Parent Clearing Period identifier.

created_ts
string
required

ISO 8601 datetime when this objection was created.

Example:

"2026-02-26T10:00:00+00:00"

disputed_values
Disputed Values · object
required

Free-form data describing the disputed values (dates, intervals, amounts).

last_modified_ts
string
required

ISO 8601 datetime of the most recent status change.

Example:

"2026-03-01T14:00:00+00:00"

objection_type
string
required

Objection category: volume, price, metering_point, allocation, timing, or other.

Examples:

"volume"

"price"

status
string
required

Objection status: draft, submitted, accepted, rejected, or withdrawn.

Examples:

"submitted"

"accepted"

"rejected"

uid
string
required

Unique identifier for this objection.

Example:

"e7f8a9b0-c1d2-4e3f-8a4b-5c6d7e8f9a0b"

reason
string | null

Human-readable reason for the objection.

resolved_ts
string | null

ISO 8601 datetime when the objection was resolved (accepted or rejected).

submitted_ts
string | null

ISO 8601 datetime when the objection was submitted to the TSO.

tso_response
string | null

TSO response text, if the objection has been reviewed.